Blt_TreeName(3)

NAME
Blt_TreeName - Returns the name of the tree data object.

SYNOPSIS
#include <bltTree.h>

char *
Blt_TreeName(tree)

ARGUMENTS
Token for the tree object.

DESCRIPTION

This procedure returns the name of the C-based tree data object. The arguments are as follows:

tree
    Token for the tree object. The token must have been previously obtained via Blt_TreeGetToken or Blt_TreeCreate.

RETURNS
The name of the tree object is returned. The name will be fully qualified with a namespace context.

EXAMPLE
The following example prints the name of the new tree. Blt_Tree token; if (Blt_TreeCreate(interp, NULL, &token) != TCL_OK) {
    return TCL_ERROR; } printf("tree is %s\n", Blt_TreeName(token));

KEYWORDS
Tcl_TreeGetToken, Tcl_TreeExists, Tcl_TreeReleaseToken